#version 120
uniform mat4 model_mat; // model-view matrix
uniform mat4 perspective_mat; // model-view matrix
varying vec2 tex_coord;

void main(void)
{
	//projectionMatrix * viewMatrix * modelMatrix * gl_Vertex;
    gl_Position =  perspective_mat * model_mat * gl_Vertex;
    tex_coord = vec2(gl_MultiTexCoord0);
	gl_FrontColor = gl_Color;
}