attribute vec4 position;
attribute vec4 color;
attribute vec2 texCoord;

uniform mat4 modelMtx;
uniform mat4 projMtx;

varying vec4 outcolor;
varying vec2 tex_coord;

void main()
{
    //gl_Position = position * modelMtx * viewMtx * projMtx;
	gl_Position = position * modelMtx * projMtx;
	//gl_PointSize = 4.0f;
	//Color is ABGR, switch to RGBA
    outcolor = vec4(color.w, color.z, color.y, color.x);
	tex_coord = texCoord;
}

