#version 100
uniform mat4 model_mat; // model-view matrix
uniform mat4 perspective_mat; // model-view matrix

attribute vec4 position;
attribute vec4 color;
attribute vec2 texCoord;

varying vec4 input_color;
varying vec2 input_texCoord;

void main(void)
{
    //gl_Position =  perspective_mat * model_mat * gl_Vertex;
    //tex_coord = vec2(gl_MultiTexCoord0);
	//gl_FrontColor = gl_Color;	
	
	gl_Position = perspective_mat * model_mat * position;
	input_color = color;
	input_texCoord = texCoord;	
}